joints = {}

birdCameraData = {
	bottom = -57.183200836182,
	px = -121.31999969482,
	py = -192.77299499512,
	left = -494.18899536133,
	top = -420.04598999023,
	sy = 2.252799987793,
	sx = 2.252799987793,
	screenHeight = 1024,
	screenWidth = 1680,
	right = 1117.5100097656,
	version = "0.01"
}

theme = "theme1"

castleCameraData = {
	 bottom = 23.984699249268,
	 px = 811.22497558594,
	 py = -243.87199401855,
	 left = 371.77301025391,
	 top = -511.72900390625,
	 sy = 0.54613399505615,
	 sx = 1.9114700555801,
	 screenHeight = 1024,
	 screenWidth = 1680,
	 version = "0.01",
	 right = 1250.6800537109 
}
 
physicsToWorld = 20

counts = {
	 StaticBlockTheme03_01 = 3,
	 WoodBlock5 = 1,
	 WoodBlock3 = 1,
	 Estrade03 = 1,
	 MediumPiglette = 2,
	 LightBlock5 = 1,
	 StaticBlockTheme03_05 = 2,
	 StoneBlock7 = 1,
	 SmallPiglette = 7,
	 WoodBlock1 = 2,
	 LightBlock6 = 2,
	 LargePiglette = 1,
	 ExtraTreasureChest = 1,
	 StaticBlockTheme01_02 = 1,
	 ExtraPoleYellow = 1,
	 StoneBlock8 = 5,
	 ExtraPoleRed = 1,
	 StaticBlockTheme03_03 = 6,
	 Estrade02 = 3,
	 WoodBlock2 = 8,
	 StoneBlock5 = 5,
	 LightBlock2 = 4,
	 StaticBlockTheme03_02 = 1,
	 ExtraBlockDice = 3,
	 WoodBlock4 = 5,
	 RedBird = 4,
	 WoodBlock6 = 5,
	 ShootingPlatform01 = 1,
	 StaticBlockTheme01_05 = 1,
	 LightBlock4 = 5
}


 
world = {
	SmallPiglette_7 = {
		 spritePivotY = 25,
		 sleeping = false,
		 oinkTimer = 1.6000000238419,
		 damageSprite = "PIGLETTE_SMALL_01",
		 sprite = "PIGLETTE_SMALL_01",
		 smileSprite = "PIGLETTE_SMALL_01_SMILE",
		 blinkSprite = "PIGLETTE_SMALL_01_BLINK",
		 mass = 7.2610101699829,
		 definition = "SmallPiglette",
		 spritePivotX = 25,
		 blinkTimer = 0.89999997615814,
		 angle = 0.014436599798501,
		 material = "piglette",
		 friction = 0.69999998807907,
		 radius = 1.0750000476837,
		 controllable = false,
		 defence = 1,
		 type = "circle",
		 yVel = 0,
		 strength = 4,
		 levelGoal = true,
		 density = 2,
		 x = 41.918998718262,
		 name = "SmallPiglette_7",
		 restitution = 0.050000000745058,
		 sphere = true,
		 xVel = 0,
		 y = -13.879799842834,
		 frozen = false
	},
	RedBird_3 = { 
		 spritePivotY = 27,
		 startNumber = 3,
		 sleeping = false,
		 damageSprite = "BIRD_RED",
		 frozen = false,
		 blinkSprite = "BIRD_RED",
		 mass = 13.618800163269,
		 sprite = "BIRD_RED",
		 animTimer = 2.7000000476837,
		 definition = "RedBird",
		 angle = 0,
		 material = "red",
		 friction = 0.30000001192093,
		 radius = 0.85000002384186,
		 controllable = true,
		 type = "circle",
		 yVel = 0,
		 strength = 60,
		 spritePivotX = 27,
		 density = 6,
		 x = -0.082976900041103,
		 name = "RedBird_3",
		 restitution = 0.43000000715256,
		 sphere = true,
		 xVel = 0,
		 y = -1.0190600156784,
		 jumpTimer = 2.5
	},
	Estrade02_1 = {		 
		 spritePivotY = 28,
		 damageSprite = "ESTRADE_02",
		 sleeping = false,
		 density = 0,
		 mass = 0,
		 blinkSprite = "ESTRADE_02",
		 spritePivotX = 89,
		 angle = 3.8623998079856e-06,
		 material = "immovable",
		 friction = 0.80000001192093,
		 type = "box",
		 controllable = false,
		 defence = 100000,
		 definition = "Estrade02",
		 yVel = 0,
		 strength = 30,
		 width = 4.4749999046326,
		 sprite = "ESTRADE_02",
		 x = 37.258701324463,
		 name = "Estrade02_1",
		 restitution = 0,
		 height = 1.3999999761581,
		 xVel = 0,
		 y = -1.3003200292587,
		 frozen = false
	},	 
	WoodBlock6_3 = {
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_6",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_6",
		 mass = 10.664600372314,
		 blinkSprite = "BLOCK_WOOD_1_6",
		 spritePivotX = 84,
		 angle = -0.00024675199529156,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock6",
		 yVel = 0,
		 strength = 70,
		 width = 3.864000082016,
		 sprite = "BLOCK_WOOD_1_6",
		 x = 41.690799713135,
		 name = "WoodBlock6_3",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -11.221899986267,
		 frozen = false
	},
	WoodBlock2_8 = {	 
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_2",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_2",
		 mass = 2.6026799678802,
		 blinkSprite = "BLOCK_WOOD_1_2",
		 spritePivotX = 20,
		 angle = 1.570799946785,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock2",
		 yVel = 0,
		 strength = 40,
		 width = 0.94300001859665,
		 sprite = "BLOCK_WOOD_1_2",
		 x = 42.012199401855,
		 name = "WoodBlock2_8",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -21.693799972534,
		 frozen = false
	},	 
	LightBlock4_4 = {
		 spritePivotY = 10,
		 damageSprite = "BLOCK_LIGHT_1_4",
		 sleeping = false,
		 density = 0.75,
		 smileSprite = "BLOCK_LIGHT_1_4",
		 mass = 2.6344199180603,
		 blinkSprite = "BLOCK_LIGHT_1_4",
		 spritePivotX = 41,
		 angle = 1.5746599435806,
		 material = "light",
		 friction = 0.69999998807907,
		 type = "box",
		 controllable = false,
		 defence = 2,
		 definition = "LightBlock4",
		 yVel = 0,
		 strength = 33,
		 width = 1.9090000391006,
		 sprite = "BLOCK_LIGHT_1_4",
		 x = 43.099700927734,
		 name = "LightBlock4_4",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -5.8301401138306,
		 frozen = false
	}, 
	WoodBlock6_2 = { 
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_6",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_6",
		 mass = 10.664600372314,
		 blinkSprite = "BLOCK_WOOD_1_6",
		 spritePivotX = 84,
		 angle = -1.5732500553131,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock6",
		 yVel = 0,
		 strength = 70,
		 width = 3.864000082016,
		 sprite = "BLOCK_WOOD_1_6",
		 x = 45.212699890137,
		 name = "WoodBlock6_2",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -6.7494401931763,
		 frozen = false
	},	 
	ground = {	 
		 damageSprite = "",
		 mass = 0,
		 sleeping = false,
		 density = 0,
		 angle = 0,
		 blinkSprite = "",
		 friction = 0.80000001192093,
		 type = "box",
		 defence = 1000000,
		 material = "immovable",
		 definition = "Ground",
		 yVel = 0,
		 strength = 30,
		 width = 1000,
		 sprite = "",
		 x = 0,
		 name = "ground",
		 restitution = 0,
		 height = 5,
		 xVel = 0,
		 y = 5,
		 frozen = false
	},
	LightBlock4_3 = {
		 spritePivotY = 10,
		 damageSprite = "BLOCK_LIGHT_1_4",
		 sleeping = false,
		 density = 0.75,
		 smileSprite = "BLOCK_LIGHT_1_4",
		 mass = 2.6344199180603,
		 blinkSprite = "BLOCK_LIGHT_1_4",
		 spritePivotX = 41,
		 angle = 1.5631300210953,
		 material = "light",
		 friction = 0.69999998807907,
		 type = "box",
		 controllable = false,
		 defence = 2,
		 definition = "LightBlock4",
		 yVel = 0,
		 strength = 33,
		 width = 1.9090000391006,
		 sprite = "BLOCK_LIGHT_1_4",
		 x = 40.329898834229,
		 name = "LightBlock4_3",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -5.821879863739,
		 frozen = false
	},
	WoodBlock2_1 = {
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_2",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_2",
		 mass = 2.6026799678802,
		 blinkSprite = "BLOCK_WOOD_1_2",
		 spritePivotX = 20,
		 angle = -0.00025155299226753,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock2",
		 yVel = 0,
		 strength = 40,
		 width = 0.94300001859665,
		 sprite = "BLOCK_WOOD_1_2",
		 x = 41.772701263428,
		 name = "WoodBlock2_1",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -12.290800094604,
		 frozen = false
	},	 
	WoodBlock2_7 = {	 
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_2",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_2",
		 mass = 2.6026799678802,
		 blinkSprite = "BLOCK_WOOD_1_2",
		 spritePivotX = 20,
		 angle = 1.570799946785,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock2",
		 yVel = 0,
		 strength = 40,
		 width = 0.94300001859665,
		 sprite = "BLOCK_WOOD_1_2",
		 x = 49.601501464844,
		 name = "WoodBlock2_7",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -3.6580901145935,
		 frozen = false
	},	 
	WoodBlock4_1 = { 
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_4",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_4",
		 mass = 5.2688398361206,
		 blinkSprite = "BLOCK_WOOD_1_4",
		 spritePivotX = 41,
		 angle = 3.1412999629974,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock4",
		 yVel = 0,
		 strength = 50,
		 width = 1.9090000391006,
		 sprite = "BLOCK_WOOD_1_4",
		 x = 41.908199310303,
		 name = "WoodBlock4_1",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -20.169700622559,
		 frozen = false
	},
	WoodBlock6_1 = {
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_6",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_6",
		 mass = 10.664600372314,
		 blinkSprite = "BLOCK_WOOD_1_6",
		 spritePivotX = 84,
		 angle = -1.5693299770355,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock6",
		 yVel = 0,
		 strength = 70,
		 width = 3.864000082016,
		 sprite = "BLOCK_WOOD_1_6",
		 x = 38.054100036621,
		 name = "WoodBlock6_1",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -6.7479000091553,
		 frozen = false
	},
	RedBird_4 = {	 
		 spritePivotY = 27,
		 startNumber = 1,
		 sleeping = false,
		 damageSprite = "BIRD_RED",
		 frozen = false,
		 blinkSprite = "BIRD_RED",
		 mass = 13.618800163269,
		 sprite = "BIRD_RED",
		 animTimer = 2.0999999046326,
		 definition = "RedBird",
		 angle = 0,
		 material = "red",
		 friction = 0.30000001192093,
		 radius = 0.85000002384186,
		 controllable = true,
		 type = "circle",
		 yVel = 0,
		 strength = 60,
		 spritePivotX = 27,
		 density = 6,
		 x = -12.25,
		 name = "RedBird_4",
		 restitution = 0.43000000715256,
		 sphere = true,
		 xVel = 0,
		 y = -0.97357100248337,
		 jumpTimer = 1.7000000476837
	},
	WoodBlock6_4 = {
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_6",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_6",
		 mass = 10.664600372314,
		 blinkSprite = "BLOCK_WOOD_1_6",
		 spritePivotX = 84,
		 angle = 1.5711100101471,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock6",
		 yVel = 0,
		 strength = 70,
		 width = 3.864000082016,
		 sprite = "BLOCK_WOOD_1_6",
		 x = 39.932300567627,
		 name = "WoodBlock6_4",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -15.69550037384,
		 frozen = false
	},
	RedBird_2 = {
		 spritePivotY = 27,
		 startNumber = 2,
		 sleeping = false,
		 damageSprite = "BIRD_RED",
		 frozen = false,
		 blinkSprite = "BIRD_RED",
		 mass = 13.618800163269,
		 sprite = "BIRD_RED",
		 animTimer = 3,
		 definition = "RedBird",
		 angle = 0,
		 material = "red",
		 friction = 0.30000001192093,
		 radius = 0.85000002384186,
		 controllable = true,
		 type = "circle",
		 yVel = 0,
		 strength = 60,
		 spritePivotX = 27,
		 density = 6,
		 x = 3.1439199447632,
		 name = "RedBird_2",
		 restitution = 0.43000000715256,
		 sphere = true,
		 xVel = 0,
		 y = -1.0203000307083,
		 jumpTimer = 1.7000000476837
	},
	Estrade02_3 = {
		 spritePivotY = 28,
		 damageSprite = "ESTRADE_02",
		 sleeping = false,
		 density = 0,
		 mass = 0,
		 blinkSprite = "ESTRADE_02",
		 spritePivotX = 89,
		 angle = 6.4214300437015e-06,
		 material = "immovable",
		 friction = 0.80000001192093,
		 type = "box",
		 controllable = false,
		 defence = 100000,
		 definition = "Estrade02",
		 yVel = 0,
		 strength = 30,
		 width = 4.4749999046326,
		 sprite = "ESTRADE_02",
		 x = 45.957698822021,
		 name = "Estrade02_3",
		 restitution = 0,
		 height = 1.3999999761581,
		 xVel = 0,
		 y = -1.3164700269699,
		 frozen = false
	},
	WoodBlock4_5 = {
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_4",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_4",
		 mass = 5.2688398361206,
		 blinkSprite = "BLOCK_WOOD_1_4",
		 spritePivotX = 41,
		 angle = -0.0032775700092316,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock4",
		 yVel = 0,
		 strength = 50,
		 width = 1.9090000391006,
		 sprite = "BLOCK_WOOD_1_4",
		 x = 41.682498931885,
		 name = "WoodBlock4_5",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -8.3424396514893,
		 frozen = false
	},
	WoodBlock4_4 = {
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_4",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_4",
		 mass = 5.2688398361206,
		 blinkSprite = "BLOCK_WOOD_1_4",
		 spritePivotX = 41,
		 angle = -0.0044134799391031,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock4",
		 yVel = 0,
		 strength = 50,
		 width = 1.9090000391006,
		 sprite = "BLOCK_WOOD_1_4",
		 x = 41.670600891113,
		 name = "WoodBlock4_4",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -3.3170900344849,
		 frozen = false
	},
	WoodBlock2_6 = {	 
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_2",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_2",
		 mass = 2.6026799678802,
		 blinkSprite = "BLOCK_WOOD_1_2",
		 spritePivotX = 20,
		 angle = 1.570799946785,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock2",
		 yVel = 0,
		 strength = 40,
		 width = 0.94300001859665,
		 sprite = "BLOCK_WOOD_1_2",
		 x = 33.530101776123,
		 name = "WoodBlock2_6",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -3.6580901145935,
		 frozen = false
	},
	WoodBlock6_5 = {
		 spritePivotY = 10,
		 damageSprite = "BLOCK_WOOD_1_6",
		 sleeping = false,
		 density = 1.5,
		 smileSprite = "BLOCK_WOOD_1_6",
		 mass = 10.664600372314,
		 blinkSprite = "BLOCK_WOOD_1_6",
		 spritePivotX = 84,
		 angle = 1.5707000494003,
		 material = "wood",
		 friction = 4,
		 type = "box",
		 controllable = false,
		 defence = 2.5,
		 definition = "WoodBlock6",
		 yVel = 0,
		 strength = 70,
		 width = 3.864000082016,
		 sprite = "BLOCK_WOOD_1_6",
		 x = 43.746299743652,
		 name = "WoodBlock6_5",
		 restitution = 0.20000000298023,
		 height = 0.46000000834465,
		 xVel = 0,
		 y = -15.696299552917,
		 frozen = false
	}
}

return